oracle.pgx.config

## Class PgHbaseGraphConfigBuilder

- java.lang.Object
- - oracle.pgx.config.AbstractGraphConfigBuilder<T>
  - - oracle.pgx.config.AbstractPgGraphConfigBuilder<PgHbaseGraphConfig>
    - - oracle.pgx.config.PgHbaseGraphConfigBuilder

-     public class PgHbaseGraphConfigBuilder
      extends AbstractPgGraphConfigBuilder<PgHbaseGraphConfig>

  A builder for Property Graph (PG) on HBase graph configuration objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgHbaseGraphConfigBuilder()` Instantiates a new pg hbase graph config builder.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PgHbaseGraphConfigBuilder` | `addEdgeProperty(String name, PropertyType type, Object defaultVal)` Adds an edge property to this builder
    `PgHbaseGraphConfigBuilder` | `addVertexProperty(String name, PropertyType type, Object defaultVal)` Add a vertex property to this builder
    `PgHbaseGraphConfigBuilder` | `setBlockCacheSize(int bcs)` Sets the block cache size
    `PgHbaseGraphConfigBuilder` | `setCompression(String compression)` Sets the compression.
    `PgHbaseGraphConfigBuilder` | `setCreateEdgeIdIndex(boolean create)` Sets the create edge id index flag.
    `PgHbaseGraphConfigBuilder` | `setCreateEdgeIdMapping(boolean create)` Sets the create edge id mapping.
    `PgHbaseGraphConfigBuilder` | `setCreateVertexIdIndex(boolean create)` Sets the create vertex ID index flag.
    `PgHbaseGraphConfigBuilder` | `setCreateVertexIdMapping(boolean create)` Sets the create vertex id mapping flag.
    `PgHbaseGraphConfigBuilder` | `setErrorHandlingOnMissedPropKey(OnMismatch action)` Sets the error handling on missed prop key.
    `PgHbaseGraphConfigBuilder` | `setErrorHandlingOnPropConversion(OnMismatch action)` Sets the error handling on prop conversion.
    `PgHbaseGraphConfigBuilder` | `setErrorHandlingOnTypeMismatch(OnMismatch action)` Sets the error handling on type mismatch.
    `PgHbaseGraphConfigBuilder` | `setHadoopSecAuth(String s)` Sets the Hadoop security authentication
    `PgHbaseGraphConfigBuilder` | `setHbaseSecAuth(String s)` Sets the HBase security authentication
    `PgHbaseGraphConfigBuilder` | `setHmKerberosPrincipal(String s)` Sets the HM Kerberos Principal
    `PgHbaseGraphConfigBuilder` | `setInitialEdgeNumRegions(int inr)` Sets the initial edge number of regions.
    `PgHbaseGraphConfigBuilder` | `setInitialVertexNumRegions(int inr)` Sets the initial vertex number of regions.
    `PgHbaseGraphConfigBuilder` | `setKeytab(String s)` Sets the path to the keytab file
    `PgHbaseGraphConfigBuilder` | `setLoadEdgeLabel(boolean b)` Sets whether to load edge label.
    `PgHbaseGraphConfigBuilder` | `setMaxNumConnections(int c)` Sets the maximum number of connections.
    `PgHbaseGraphConfigBuilder` | `setName(String name)` Sets the Property Graph (PG) name.
    `PgHbaseGraphConfigBuilder` | `setRefreshIntervalMs(int milliseconds)` Sets the refresh interval in milliseconds
    `PgHbaseGraphConfigBuilder` | `setRsKerberosPrincipal(String s)` Sets the RS Kerberos Principal
    `PgHbaseGraphConfigBuilder` | `setSplitsPerRegion(int spr)` Sets the splits per region.
    `PgHbaseGraphConfigBuilder` | `setUserPrincipal(String s)` Sets the User Principal
    `PgHbaseGraphConfigBuilder` | `setZkClientPort(int port)` Sets the ZooKeeper client port.
    `PgHbaseGraphConfigBuilder` | `setZkQuorum(String quorum)` Sets the ZooKeeper quorum.
    `PgHbaseGraphConfigBuilder` | `setZkSessionTimeout(int to)` Sets the ZooKeeper session timeout.

    - ### Methods inherited from class oracle.pgx.config.AbstractGraphConfigBuilder

      `addNodeProperty, build, setDateFormat`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PgHbaseGraphConfigBuilder

          public PgHbaseGraphConfigBuilder()

      Instantiates a new pg hbase graph config builder.

  - ### Method Detail

    - #### addEdgeProperty

          public PgHbaseGraphConfigBuilder addEdgeProperty(String name,
                                                  PropertyType type,
                                                  Object defaultVal)

      Description copied from class: `AbstractGraphConfigBuilder`
      Adds an edge property to this builder
      Overrides:
        `addEdgeProperty` in class `AbstractGraphConfigBuilder<PgHbaseGraphConfig>`
      Parameters:
        `name` - the name of the edge property
        `type` - the type of the edge property
        `defaultVal` - the default value of the edge property (can be `null`)
      Returns:
        this builder

    - #### addVertexProperty

          public PgHbaseGraphConfigBuilder addVertexProperty(String name,
                                                    PropertyType type,
                                                    Object defaultVal)

      Description copied from class: `AbstractGraphConfigBuilder`
      Add a vertex property to this builder
      Overrides:
        `addVertexProperty` in class `AbstractGraphConfigBuilder<PgHbaseGraphConfig>`
      Parameters:
        `name` - the name of the vertex property
        `type` - the type of the vertex property
        `defaultVal` - the default value of the vertex property (can be `null`)
      Returns:
        this builder

    - #### setBlockCacheSize

          public PgHbaseGraphConfigBuilder setBlockCacheSize(int bcs)

      Sets the block cache size
      Parameters:
        `bcs` - the block cache size
      Returns:
        this builder

    - #### setCompression

          public PgHbaseGraphConfigBuilder setCompression(String compression)

      Sets the compression.
      Parameters:
        `compression` - the compression
      Returns:
        this builder

    - #### setCreateEdgeIdIndex

          public PgHbaseGraphConfigBuilder setCreateEdgeIdIndex(boolean create)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the create edge id index flag.
      Overrides:
        `setCreateEdgeIdIndex` in class `AbstractGraphConfigBuilder<PgHbaseGraphConfig>`
      Parameters:
        `create` - if `true`, a edge ID index is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setCreateEdgeIdMapping

          public PgHbaseGraphConfigBuilder setCreateEdgeIdMapping(boolean create)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the create edge id mapping.
      Overrides:
        `setCreateEdgeIdMapping` in class `AbstractGraphConfigBuilder<PgHbaseGraphConfig>`
      Parameters:
        `create` - if `true`, a edge ID mapping is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setCreateVertexIdIndex

          public PgHbaseGraphConfigBuilder setCreateVertexIdIndex(boolean create)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the create vertex ID index flag.
      Overrides:
        `setCreateVertexIdIndex` in class `AbstractGraphConfigBuilder<PgHbaseGraphConfig>`
      Parameters:
        `create` - if `true`, a vertex ID index is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setCreateVertexIdMapping

          public PgHbaseGraphConfigBuilder setCreateVertexIdMapping(boolean create)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the create vertex id mapping flag.
      Overrides:
        `setCreateVertexIdMapping` in class `AbstractGraphConfigBuilder<PgHbaseGraphConfig>`
      Parameters:
        `create` - if `true`, a vertex ID mapping is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setErrorHandlingOnMissedPropKey

          public PgHbaseGraphConfigBuilder setErrorHandlingOnMissedPropKey(OnMismatch action)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the error handling on missed prop key.
      Overrides:
        `setErrorHandlingOnMissedPropKey` in class `AbstractGraphConfigBuilder<PgHbaseGraphConfig>`
      Parameters:
        `action` - the action
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setErrorHandlingOnPropConversion

          public PgHbaseGraphConfigBuilder setErrorHandlingOnPropConversion(OnMismatch action)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the error handling on prop conversion.
      Overrides:
        `setErrorHandlingOnPropConversion` in class `AbstractGraphConfigBuilder<PgHbaseGraphConfig>`
      Parameters:
        `action` - the action
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setErrorHandlingOnTypeMismatch

          public PgHbaseGraphConfigBuilder setErrorHandlingOnTypeMismatch(OnMismatch action)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the error handling on type mismatch.
      Overrides:
        `setErrorHandlingOnTypeMismatch` in class `AbstractGraphConfigBuilder<PgHbaseGraphConfig>`
      Parameters:
        `action` - the action
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setHadoopSecAuth

          public PgHbaseGraphConfigBuilder setHadoopSecAuth(String s)

      Sets the Hadoop security authentication
      Parameters:
        `s` - the Hadoop security authentication
      Returns:
        this builder

    - #### setHbaseSecAuth

          public PgHbaseGraphConfigBuilder setHbaseSecAuth(String s)

      Sets the HBase security authentication
      Parameters:
        `s` - the HBase security authentication
      Returns:
        this builder

    - #### setHmKerberosPrincipal

          public PgHbaseGraphConfigBuilder setHmKerberosPrincipal(String s)

      Sets the HM Kerberos Principal
      Parameters:
        `s` - the HM Kerberos Principal
      Returns:
        this builder

    - #### setInitialEdgeNumRegions

          public PgHbaseGraphConfigBuilder setInitialEdgeNumRegions(int inr)

      Sets the initial edge number of regions.
      Parameters:
        `inr` - the number of regions
      Returns:
        this builder

    - #### setInitialVertexNumRegions

          public PgHbaseGraphConfigBuilder setInitialVertexNumRegions(int inr)

      Sets the initial vertex number of regions.
      Parameters:
        `inr` - the number of regions
      Returns:
        this builder

    - #### setKeytab

          public PgHbaseGraphConfigBuilder setKeytab(String s)

      Sets the path to the keytab file
      Parameters:
        `s` - the path to the keytab file
      Returns:
        this builder

    - #### setLoadEdgeLabel

          public PgHbaseGraphConfigBuilder setLoadEdgeLabel(boolean b)

      Description copied from class: `AbstractPgGraphConfigBuilder`
      Sets whether to load edge label.
      Overrides:
        `setLoadEdgeLabel` in class `AbstractPgGraphConfigBuilder<PgHbaseGraphConfig>`
      Parameters:
        `b` - if true, loads the edge label
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setMaxNumConnections

          public PgHbaseGraphConfigBuilder setMaxNumConnections(int c)

      Description copied from class: `AbstractPgGraphConfigBuilder`
      Sets the maximum number of connections.
      Overrides:
        `setMaxNumConnections` in class `AbstractPgGraphConfigBuilder<PgHbaseGraphConfig>`
      Parameters:
        `c` - the number of connections
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setName

          public PgHbaseGraphConfigBuilder setName(String name)

      Description copied from class: `AbstractPgGraphConfigBuilder`
      Sets the Property Graph (PG) name.
      Overrides:
        `setName` in class `AbstractPgGraphConfigBuilder<PgHbaseGraphConfig>`
      Parameters:
        `name` - the name
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects of this setting`

    - #### setRefreshIntervalMs

          public PgHbaseGraphConfigBuilder setRefreshIntervalMs(int milliseconds)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the refresh interval in milliseconds
      Overrides:
        `setRefreshIntervalMs` in class `AbstractGraphConfigBuilder<PgHbaseGraphConfig>`
      Parameters:
        `milliseconds` - the interval in milliseconds
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setRsKerberosPrincipal

          public PgHbaseGraphConfigBuilder setRsKerberosPrincipal(String s)

      Sets the RS Kerberos Principal
      Parameters:
        `s` - the RS Kerberos Principal
      Returns:
        this builder

    - #### setSplitsPerRegion

          public PgHbaseGraphConfigBuilder setSplitsPerRegion(int spr)

      Sets the splits per region.
      Parameters:
        `spr` - the splits per region
      Returns:
        this builder

    - #### setUserPrincipal

          public PgHbaseGraphConfigBuilder setUserPrincipal(String s)

      Sets the User Principal
      Parameters:
        `s` - the User Principal
      Returns:
        this builder

    - #### setZkClientPort

          public PgHbaseGraphConfigBuilder setZkClientPort(int port)

      Sets the ZooKeeper client port.
      Parameters:
        `port` - the port
      Returns:
        this builder

    - #### setZkQuorum

          public PgHbaseGraphConfigBuilder setZkQuorum(String quorum)

      Sets the ZooKeeper quorum.
      Parameters:
        `quorum` - the quorum
      Returns:
        this builder

    - #### setZkSessionTimeout

          public PgHbaseGraphConfigBuilder setZkSessionTimeout(int to)

      Sets the ZooKeeper session timeout.
      Parameters:
        `to` - the timeout in milliseconds
      Returns:
        this builder

Copyright © 2015. All rights reserved.